import React from 'react'

const OrderShowDetails = (props: any) => {
    const orderProductDetails = props.products.map((prod: any, idx: any) => {
        return (
            <tr key={idx}>
                <td><img src={prod.productImageUrl} alt="img placeholder"/></td>
                <td>{prod.productName}</td>
                <td>{prod.productDescription}</td>
                <td>{prod.sku}</td>
                <td>{prod.upc}</td>
                <td>{prod.price}</td>
                <td>{prod.quantity}</td>
            </tr>
        )
    })
    
    return (
        <table>
            <tbody>
                <tr>
                    <th>image</th>
                    <th>productName</th>
                    <th>description</th>
                    <th>sku</th>
                    <th>upc</th>
                    <th>price</th>
                    <th>quantity</th>
                </tr>
                {orderProductDetails}
            </tbody>
        </table>
    )
}

export default OrderShowDetails
