import React from 'react'
import {OrderDetails} from 'components'
import { OrderService } from 'services';

const OrderIndexPage = () => {
    const allOrders =  OrderService.allOrders;
    
    const orderDetailsArr = allOrders.map((order: any, idx: any) => {
        return <tr key={idx}><OrderDetails
            date={order.date} 
            orderNumber={order.orderNumber}
            status="fulfilled"
            /></tr>
    })

    return (
        <table>
            <tbody>
                <tr>
                    <th>order number</th>
                    <th>date</th>
                    <th>status</th>
                </tr>
                {orderDetailsArr}
            </tbody>
            
        </table>
        
    )
}

export default OrderIndexPage
